\usepackage[sc]{mathpazo}


\usepackage[breaklinks=true,pdfborder={0 0 0}]{hyperref}
\hypersetup{
    colorlinks=true,
    linkcolor=blue,
    filecolor=magenta,      
    urlcolor=cyan,
  }
  
\makeatletter
\@addtoreset{section}{part}
\makeatother


\usepackage{array}
\usepackage{amsmath}
\usepackage{marvosym}
\usepackage{graphicx}
\usepackage{pifont}
\usepackage{lastpage}
\usepackage{framed}
\usepackage{setspace}
\usepackage[usenames,dvipsnames]{color}
\usepackage{pgfplots}
\usepackage{tcolorbox}

\makeatletter

\input{tpl/ddcommon}

\def\ddactivity#1{\def\ddactivity{#1}}
\linespread{1.1}


\usepackage{fancyhdr}
\usepackage[margin=3cm,headheight=35pt]{geometry}
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[C]{\textsc{\printddmodulename}}
\fancyhead[R]{\textit{\printddmodulenumber}}
\fancyhead[L]{\includegraphics[height=.5cm]{ensil-ensci}\ \includegraphics[height=.5cm]{unilim}\vspace{-0.2cm}}
\fancyfoot[L]{\scriptsize{\ddactivity}}
\fancyfoot[R]{\scriptsize{\ddmyversion}}
\fancyfoot[C]{\scriptsize{\ddmypage}}
\renewcommand{\footrulewidth}{0.2pt}

\usepackage{tikz}


\newcommand{\printddfirstpage}{%
\clearpage%
\tikz[remember picture,overlay]{\node[opacity=0.,inner sep=30pt, anchor=north] at (current page.center){\includegraphics[width=.6\paperwidth]{ensil-ensci}};}
\begin{flushright}
\thispagestyle{empty}%
\vfill
{\textcolor{mybgcolor}{\bfseries\Huge{\printddmodulename}}}\\
\textcolor{gray}{\hrulefill}\\
\large\vspace{0.1cm}\textcolor{myfgcolor}{\printddmodulenumber}\\
\end{flushright}
\tableofcontents
\vfill
  \printddimg
  \vfill
  Author(s) : \textit{\printddauthor}\\
  Contributor(s) : \textit{\printddcontributor}\hfill \today\par
\vspace{.5cm}
\begin{center}
  {\small\mylicence}
\end{center}
\newpage }

\newcommand{\exo}[1] {\par\vspace{.6cm}\textbf{Exercice #1}\\}

% -- Texte à trou -- %
\newcommand{\trou}[1]{\textcolor{blue}{#1}}
\newcommand{\correction}[1]{\begin{mdframed}[backgroundcolor=yellow!20]\subsubsection*{Correction}#1\end{mdframed}}

\DeclareOption{eleve}{
\renewcommand{\correction}[1]{}%nothing to do
\onehalfspacing
\makeatletter
\newbox\MaBoite
\newbox\Point
\newlength\pointwd
\setbox\Point=\hbox{.}
\renewcommand{\trou}[1]{%
	\ifx\@empty#1\@empty%
	\fi%
	\noindent
	\leavevmode%
		\ifmmode%
			\ifinner
                              \savebox\MaBoite{$#1$}%maths en ligne
			\else
                              \savebox\MaBoite{$\displaystyle#1$}%maths hors ligne
			\fi%
		\else\savebox{\MaBoite}{#1}%
		\fi
		\setlength\pointwd{0pt}%
	\loop%
		\ifdim\pointwd<\wd\MaBoite%
		\rule{0pt}{\baselineskip}\usebox{\Point}\hskip-\fboxrule %
		\advance\pointwd by 0.6\wd\Point %coefficient à ajuster 
	\repeat%
}
\makeatletter
}
\ProcessOptions
% -- Fin du texte à trou -- %
\newcommand{\warningsign}{{\fontencoding{U}\fontfamily{futs}\selectfont\char 66\relax}}

\newenvironment{info}
{
  \begin{tcolorbox}[colback=green!10]
\par\rmfamily\em%\sffamily\em
%\begin{leftbar}
  \noindent{\raisebox{-1pt}{\large\Info}}}
{
  % \end{leftbar}
  \end{tcolorbox}
\rmfamily
}

\newenvironment{attention}
{
\begin{tcolorbox}[colback=red!10]
\par\rmfamily\em%\par\sffamily\em
%\begin{leftbar}
  \noindent{\raisebox{1pt}{\textbf{\warningsign}}}}
{
\end{tcolorbox}
\rmfamily
}

\newenvironment{manip}
{
 \begin{tcolorbox}[colback=yellow!10]
\par\rmfamily\em%\par\sffamily
%\begin{leftbar}
  \noindent\ding{43}}
{
\end{tcolorbox}
\rmfamily
}


\newcounter{question}
\newcommand*\circled[1]{\tikz[baseline=(char.base)]{
            \node[shape=circle,draw,inner sep=0.2pt] (char) {#1};}}
\newenvironment{question}
{
%
\par\sffamily
\begin{leftbar}\noindent\textbf{\circled{?}}
 }
{
\end{leftbar}
\rmfamily
}

\newenvironment{qnum}
{
  %
\vspace{0.2cm}
\par\sffamily
\begin{leftbar}
  \noindent\texttt{Q\arabic{question}.}
\stepcounter{question}}
{
\end{leftbar}
\rmfamily
}


\newenvironment{task}
{
%
\par\sffamily
\begin{leftbar}
  \noindent\textit{task\arabic{question}.}
\stepcounter{question}}
{
\end{leftbar}
\rmfamily
}


\newcommand{\resetquestion}{\setcounter{question}{1}}
\resetquestion

\renewcommand{\labelitemi}{$\bullet$}
\setcounter{tocdepth}{2}



\usepackage{tocloft}

\newlength\mylen
\renewcommand\thepart{\arabic{part}}
\renewcommand\cftpartpresnum{Part~}
\settowidth\mylen{\bfseries\cftpartpresnum\cftpartaftersnum}
\addtolength\cftpartnumwidth{\mylen}